<div class="flex flex-col h-screen m-2">
  <mat-card>
    <mat-card-header>
      <mat-card-title>Update Phone</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <form [formGroup]="updatePhoneForm" class="flex flex-col">
        <span>
          Add you phone with country code in <a href="https://en.wikipedia.org/wiki/E.164" target="_blank" rel=noopener>E.164</a>
          format.
        </span>
        <mat-form-field (click)="editPhone()" class="w-1/2">
          <input matInput placeholder="Phone" type="text" pattern="^\+(?:[0-9]?){6,14}[0-9]$" formControlName="phone">
        </mat-form-field>
        <mat-form-field *ngIf="!isOTPHidden" class="w-1/2">
          <input matInput placeholder="OTP" type="text" pattern="[0-9]*" formControlName="otp">
        </mat-form-field>
      </form>
    </mat-card-content>
    <mat-card-actions>
      <button *ngIf="!isOTPHidden" (click)="verifyOtp()" mat-button color="primary">Verify</button>
      <button [disabled]="isSendDisabled" (click)="addUnverifiedPhone()" mat-button>Send Verification Code</button>
    </mat-card-actions>
  </mat-card>
</div>
